<template>
  <!-- 默认的圆点图标显示组件 -->
  <view :style="{
    width: themeContext.resolveSize(size - 20),
    height: themeContext.resolveSize(size - 20),
    borderRadius: themeContext.resolveSize(size),
    backgroundColor: themeContext.resolveThemeColor(color),
  }" />
</template>

<script setup lang="ts">
import { useTheme } from '@/components/theme/ThemeDefine';

defineProps<{
  color?: string,
  size: number,
}>();

const themeContext = useTheme();
</script>